%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: ksquirrel-libs
Summary: Ksquirrel - image viewer for KDE 
Group: Graphical desktop/KDE
Version: 0.8.0
Release: %mkrel 1

License: LGPLv2+ 
Source: http://downloads.sourceforge.net/ksquirrel/%{name}-%{version}.tar.bz2

URL: http://ksquirrel.sf.net 

BuildRoot: %{_tmppath}/%{name}-%{version}-root 

BuildRequires: djvulibre
BuildRequires: gettext-devel
BuildRequires: kdelibs-devel
BuildRequires: libjasper-devel
BuildRequires: pixman-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: librsvg-devel librsvg
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRequires: netpbm-devel netpbm
BuildRequires: OpenEXR-devel
BuildRequires: transfig

Requires: %libname = %version-%release

%description 
Ksquirrel is an image viewer for KDE implemented using OpenGL. 
You should have your videocard specific drivers been installed.

ksquirrel-libs is a set of image codecs for KSquirrel
or other viewers.

%package	-n %develname
Summary:  	Development files for ksquirrel-libs
Group: 		Graphical desktop/KDE
Requires:	%{name} = %{version}
Requires:	%libname = %version-%release
Obsoletes:	%name-devel < 0.7.2
Provides:	%name-devel = %version-%release

%description -n %develname
Ksquirrel header files for application development.

%package	-n %libname
Summary:	Libraries for ksquirrel-libs
Group:		System/Libraries

%description	-n %libname
Libaries needed for ksquirrel-libs

%prep 
%setup -q

%build
autoconf
%configure2_5x
%make

%install 
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT 

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%_datadir/%name
%doc %{_docdir}/%{name}/%{version}/

%files -n %libname
%{_libdir}/%name
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%{_includedir}/%{name}
%{_libdir}/pkgconfig/ksquirrellibs.pc


%changelog
* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 161456
- renew tarball
- update to new version 0.8.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Funda Wang <fundawang@mandriva.org> 0.7.5-1mdv2008.1
+ Revision: 109128
- update to new version 0.7.5

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 106284
- New version 0.7.4

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.7.3-1mdv2008.1
+ Revision: 105627
- BR pixman-devel
- New version 0.7.3

* Tue Oct 09 2007 Funda Wang <fundawang@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 96052
- split out lib files
- fix building
- New version 0.7.2

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 76443
- add ldconfig
- add more BuildRequires
- New versino 0.7.1

* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.0-1mdv2008.0
+ Revision: 27010
- Added more missing BuildRequires (libjasper-devel, libtiff-devel,
  libungif-devel, netpbm, OpenEXR-devel).
- Added missing BuildRequires for gettext-devel.
- Comment freetype_check_fix patch on spec.
- Updated to 0.7.0.
- Added freetype_check_fix patch, to fix configure freetype detection.


* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 09:08:27 (55313)
- Arg, forgot again the Source

* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 09:07:03 (55312)
- New Release 0.6.3

* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:44:48 (38370)
import ksquirrel-libs-0.6.2-1mdk

* Sun Jan 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6.1-3mdk
- ship pkgconfig to correct dir, fixes x86_64 build

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Add Requires

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- new devel package

* Sat Dec 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- Remove patch 0 : Merged Upstream

* Mon Nov 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.3mdk
- Use %%{1}mdv2007.0

* Sat Nov 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.2mdk
- Fix build for amd64

* Thu Nov 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.1mdk
- initial release for sylvie with a big help from Blino : THANKS

